﻿#ProgName = "USB термометр 1.0"

EnableExplicit

XIncludeFile "WinMain.pbf"
XIncludeFile "Misc.pbi"
XIncludeFile "HID.pbi"

Enumeration Timer
  #Timer_GetTemp
EndEnumeration

Define Event, Gadget, Window

Procedure WinMain_Resize()
  ResizeGadgetsWinMain()
EndProcedure


Procedure MainWin_CB(hWnd, Msg, wParam, lParam)
  
  If Msg=#WM_DEVICECHANGE
    If wParam=#DBT_DEVICEARRIVAL Or wParam=#DBT_DEVICEREMOVECOMPLETE
      HID_ReConnect(wParam, lParam)
     EndIf
  EndIf
  
  ProcedureReturn #PB_ProcessPureBasicEvents
EndProcedure

Procedure Timer_GetTemp()
  Static Work = #False
  
  If Work <> #False
    ProcedureReturn
  EndIf
  
  Work = #True
  
  HID_GetTemp()
  
  Work = #False
EndProcedure


OpenWinMain()
SmartWindowRefresh(#WinMain, #True)

SendMessage_(GadgetID(#ListIcon_Temp), #LVM_SETEXTENDEDLISTVIEWSTYLE, 
             #LVS_EX_LABELTIP|#LVS_EX_GRIDLINES,
             #LVS_EX_LABELTIP|#LVS_EX_GRIDLINES)

If OSVersion()>=#PB_OS_Windows_7
  SetWindowTheme_(GadgetID(#ListIcon_Temp), "Explorer", #Null)
EndIf

BindEvent(#PB_Event_SizeWindow, @WinMain_Resize(), #WinMain)
PostEvent(#PB_Event_SizeWindow, #WinMain, 0)


HID_Init(WindowID(#WinMain))
HID_DeviceTest(-1)

SetWindowCallback(@MainWin_CB(), #WinMain)

AddWindowTimer(#WinMain, #Timer_GetTemp, 1000)
BindEvent(#PB_Event_Timer, @Timer_GetTemp(), #WinMain)

HideWindow(#WinMain, #False)

Repeat
  Event = WaitWindowEvent()
  Window = EventWindow()
  
Until Event = #PB_Event_CloseWindow And Window = #WinMain

HID_End()
; IDE Options = PureBasic 5.60 (Windows - x86)
; Folding = -
; EnableXP